Holger's Java API

## com.antelmann.util.logging
Interface LogWriter

All Superinterfaces:
  Filter<LogEntry>

All Known Implementing Classes:
  AbstractExceptionWriter, AbstractLogWriter, AppendableLogWriter, AsynchLogWriter, BinaryFileLog, ConsoleLog, EmailWriter, ExceptionDialogWriter, FileLog, JDBCLogWriter, JTextAreaLog, JTextComponentLog, LogFile, LoggerCache, LoggerWriter, LogNetPropagator, SocketWriter, StackTraceFileWriter, XMLLogWriter

    public interface LogWriter

extends Filter<LogEntry>

The LogWriter interface defines objects that can be used as a handler for the Logger class. It is left to the discretion of the LogWriter implementation to perform the write synchronously or asynchronously. LogWriter extends the interface Filter<LogEntry> so that each LogWriter embedds the functionality of being able to filter each LogEntry that is to be written.

Author:
  Holger Antelmann
See Also:
  `LogException`, `Logger`

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Method Summary
`void` `write(LogEntry entry)` writes the given LogEntry to the log of this LogWriter.

Methods inherited from interface com.antelmann.util.Filter
`accept`

Method Detail

### write

    void write(LogEntry entry)
               throws LogException

  writes the given LogEntry to the log of this LogWriter. This method must not check whether entries are accepted, as the Logger class will only call this method once checked that this LogWriter accepts the given entry.

  Throws:
    `LogException` - if an error occurred while writing the log

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads